# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KCharSelectTable Class Reference

Character selection table. More...

`#include <kcharselect.h>`

Inheritance diagram for KCharSelectTable:

[legend]
Collaboration diagram for KCharSelectTable:

[legend]
List of all members.

## Signals

void | highlighted (const QChar &c)
void | highlighted ()
void | activated (const QChar &c)
void | activated ()
void | focusItemChanged ()
void | focusItemChanged (const QChar &c)
void | tableUp ()
void | tableDown ()
void | doubleClicked ()

## Public Member Functions

| KCharSelectTable (QWidget *parent, const char *name, const QString &_font, const QChar &_chr, int _tableNum)
virtual QSize | sizeHint () const
virtual void | resizeEvent (QResizeEvent *)
virtual void | setFont (const QString &_font)
virtual void | setChar (const QChar &_chr)
virtual void | setTableNum (int _tableNum)
virtual QChar | chr ()

## Protected Member Functions

virtual void | paintCell (class QPainter *p, int row, int col)
virtual void | mousePressEvent (QMouseEvent *e)
virtual void | mouseDoubleClickEvent (QMouseEvent *e)
virtual void | mouseReleaseEvent (QMouseEvent *e)
virtual void | mouseMoveEvent (QMouseEvent *e)
virtual void | keyPressEvent (QKeyEvent *e)
void | gotoLeft ()
void | gotoRight ()
void | gotoUp ()
void | gotoDown ()
virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QString | vFont
QChar | vChr
int | vTableNum
QPoint | vPos
QChar | focusItem
QPoint | focusPos
int | temp

## Detailed Description

Character selection table.

A table widget which displays the characters of a font. Internally used by KCharSelect. See the KCharSelect documentation for further details.

Author:
  Reginald Stadlbauer <reggie@kde.org>

Definition at line 51 of file kcharselect.h.

The documentation for this class was generated from the following files:

- kcharselect.h
- kcharselect.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:42 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003